petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatHasOperation

Determines whether the given matrix supports the particular operation.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatHasOperation(Mat mat,MatOperation op,PetscBool  *has)

Not Collective Many br

### Input Parameters

| mat | - the matrix Many br
| op | - the operation, for example, MATOP_GET_DIAGONAL Many br

### Output Parameter

has -either PETSC_TRUE or PETSC_FALSE Many br

Many br

### Notes

See the file include/petscmat.h for a complete list of matrix Many broperations, which all have the form MATOP_<OPERATION>, where Many br<OPERATION> is the name (in all capital letters) of the Many bruser-level routine. E.g., MatNorm() -> MATOP_NORM. Many br

### Keywords

matrix, has, operation

### See Also

MatCreateShell()

Level:advanced
Location:src/mat/interface/mhas.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages